@layer components {
  .card {
    --padding-block: clamp(1rem, 1.25cqi, 1.375rem);
    --padding-inline: clamp(1rem, 1.375cqi, 1.5rem);
    --background-color: var(--clr-neutral-25);
    --border-width: 0.0625rem;
    --border-color: transparent;
    --border-radius: 0.625rem;

    display: flex;
    flex-flow: column nowrap;
    gap: 1.375rem;
    inline-size: 100%;
    block-size: fit-content;
    padding: var(--padding-block) var(--padding-inline);
    background-color: var(--background-color);
    border: var(--border-width) solid var(--border-color);
    border-radius: var(--border-radius);

    & .card-header {
      display: grid;
      grid-template-columns: 1fr max-content;
      gap: 0.5rem;
      align-items: center;

      & .card-header-title {
        color: var(--clr-brand-600);
        font-variation-settings: "wght" 632;
        line-height: 1.25;
      }

      & .card-header-nav {
        margin-inline-end: calc(-1 * (var(--padding-inline) / 3));
      }
    }

    & .card-body {

    }

    & .card-footer {

    }

    & .card-horizontal-rule {
      margin-inline: calc(-1 * var(--padding-inline));
    }

    & .card-menu {

    }
  }
}